# $Revision: 1.56 $, $Date: 2008/11/07 09:41:57 $
Summary:	Simple DirectMedia Layer - Sample Mixer Library
Summary(pl.UTF-8):	Prosta biblioteka miksera
Summary(pt_BR.UTF-8):	SDL - Biblioteca para mixagem
Name:		SDL_mixer
Version:	1.2.8
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.gz
# Source0-md5:	0b5b91015d0f3bd9597e094ba67c4d65
Patch0:		%{name}-timidity_cfg.patch
Patch1:		%{name}-acfix.patch
URL:		http://www.libsdl.org/projects/SDL_mixer/
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	smpeg-devel >= 0.4.4-11
Requires:	SDL >= 1.2.10
Obsoletes:	libSDL_mixer1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Due to popular demand, here is a simple multi-channel audio mixer. It
supports 4 channels of 16 bit stereo audio, plus a single channel of
music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%description -l pl.UTF-8
SDL_mixer to prosty wielokanałowy mikser audio. Obsługuje 4 kanały
16-bitowego dźwięku stereo plus jeden kanał dla muzyki miksowanej
przez popularne biblioteki MikMod MOD, Timitity MIDI i SMPEG MP3.

%description -l pt_BR.UTF-8
Biblioteca que suporta 4 canais de áudio estéreo 16 bit, mais um canal
de música, mixado pelo populares bibliotecas MOD MikMod, MIDI timidity
e SMPEG MP3.

%package devel
Summary:	Header files and more to develop SDL_mixer applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwoju aplikacji używających SDL_mixer
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações SDL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.10
Obsoletes:	libSDL_mixer1.2-devel

%description devel
Header files and more to develop SDL_mixer applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwoju aplikacji używających SDL_mixer

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações
SDL.

%package static
Summary:	Static SDL_mixer libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_mixer
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com SDL_mixer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_mixer libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_mixer.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com SDL_mixer.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	ogg_lib=libvorbisfile.so.3 \
	smpeg_lib=libsmpeg-0.4.so.0 \
	--disable-music-libmikmod \
	--enable-music-mod
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-bin \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/playmus
%attr(755,root,root) %{_bindir}/playwave
%attr(755,root,root) %{_libdir}/libSDL_mixer-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_mixer.so
%{_libdir}/libSDL_mixer.la
%{_includedir}/SDL/SDL_mixer.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_mixer.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_mixer.spec,v $
Revision 1.56  2008/11/07 09:41:57  megabajt
- release 2

Revision 1.55  2007/08/13 17:48:52  qboosh
- pl fix

Revision 1.54  2007/08/13 17:47:16  qboosh
- updated to 1.2.8

Revision 1.53  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.52  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.51  2006/05/20 00:08:06  qboosh
- rm moved to prep

Revision 1.50  2006/05/19 23:43:40  qboosh
- updated to 1.2.7, updated timidity_cfg patch, added acfix patch
- libvorbis and smpeg libs are dlopened now, pass sonames to support lib64

Revision 1.49  2006/03/26 15:40:01  patrys
- drop X11 requirements

Revision 1.48  2005/10/23 19:06:23  freetz
- rel.2 (kill smpeg req)

Revision 1.47  2005/02/04 21:40:10  qboosh
- use included modified libmikmod 3.1.9a
  (doesn't work with system libmikmod 3.1.11a - just endless loop of sending
   zeros to dsp - tested with enigma and ppracer)

Revision 1.46  2005/01/15 23:34:27  qboosh
- updated to 1.2.6

Revision 1.45  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.44  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.43  2004/08/05 14:17:25  pluto
- strict deps.

Revision 1.42  2004/05/30 12:56:17  arekm
- install binaries not libtool shell wrappers; rel 2

Revision 1.41  2003/07/24 12:19:54  pascalek
- Now with new gcc and new smpeg (with gcc-patch) SDL_mixer
  will compile properly (and be able to play mp3 files).

Revision 1.40  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.39  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.38  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/03/31 14:42:16  qboosh
- -devel R: smpeg-devel

Revision 1.36  2003/03/14 10:24:17  trojan
- added BR: smpeg-devel >= 0.4.4-11

Revision 1.35  2003/03/11 08:49:12  trojan
- updated to 1.2.5

Revision 1.34  2003/02/28 10:07:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.33  2003/01/16 00:25:38  aflinta
- moved to /usr; release 7

Revision 1.32  2002/12/07 15:11:40  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.31  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.30  2002/09/29 10:59:10  kloczek
- release 6.

Revision 1.29  2002/07/21 16:52:14  kloczek
- corrected libvorbis-devel Epoch in BuildRequires rule.

Revision 1.28  2002/07/21 16:43:35  kloczek
- release 5: renbuild against libvorbis 1.0.

Revision 1.27  2002/07/14 18:22:55  kloczek
- bump release to 4,
- remove direct BuildRequires for esound-devel (this is in SDL-devel and
  SDL_mixer depend on this).

Revision 1.26  2002/07/14 18:09:05  qboosh
- updated to 1.2.4 (bugfix, few new functions)
- new %%doc, removed English "es" descriptions

Revision 1.25  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.24  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/18 16:56:47  qboosh
- removed PBProjects.tar.gz from doc (it's big and has no use on Linux)
- release 2

Revision 1.22  2002/05/11 19:54:35  kloczek
- merge translations from Conectiva.

Revision 1.21  2002/05/11 19:43:18  marcus
- updated 1.2.3

Revision 1.20  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/20 02:30:02  kloczek
- release 3: libSDL_mixer1.2{,-devel} added to Obsoletes for allow upgrade
  from MDK.

Revision 1.17  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/13 17:20:13  kloczek
- updated to 1.2.1 (bugfix release).

Revision 1.15  2001/12/06 11:52:33  kloczek
- added BuildRequires: libvorbis-devel.

Revision 1.14  2001/12/06 10:47:21  trojan
- added Requires: libvorbis-devel in devel
- release 6

Revision 1.13  2001/10/30 01:10:42  kloczek
- release 5.

Revision 1.12  2001/10/22 08:29:50  qboosh
- adapterized, typos

Revision 1.11  2001/08/16 14:11:43  kloczek
- release 4: make spec ac 2.5x ready.

Revision 1.10  2001/06/22 01:17:12  kloczek
- bump release to 3.

Revision 1.9  2001/05/12 00:31:45  kloczek
- updated to 1.2.0.

Revision 1.8  2001/04/02 20:02:22  kloczek
- changed Buildrequires for SDL-devel to ">= 1.2.0".

Revision 1.7  2001/04/02 13:36:27  misiek
release 4; rebuild for SDL 1.2.0; stb

Revision 1.6  2001/02/06 08:36:35  kloczek
- updated to 1.1.0,
- added timidity_cfg patch with fixes for oure timidity.

Revision 1.5  2000/10/25 00:49:12  kloczek
- release3: changed install prefix to /usr/X11R6.

Revision 1.4  2000/10/06 10:03:51  kloczek
- release 2: use new rpm automation suit.

Revision 1.3  2000/07/03 19:25:46  kloczek
- updated to 1.0.6.

Revision 1.2  2000/07/02 21:04:43  kloczek
- rewrited in PLD style.

* Wed Jan 19 2000 Sam Lantinga
- converted to get package information from configure

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
